# --==--==--==--==--==--==--==--==--==--==--==--==--==--==--==-- #
# Bruno Charest 
# 2022-08-09 
# 
# __ DESCRIPTIONS __
# web_utils : procedure related web interface 
#
# --==--==--==--==--==--==--==--==--==--==--==--==--==--==--==-- #
import jester
import joplin_utils


# --==--==--==--==--==--==--==--==--==--==-- #
# TYPE : Selected Option for master web page 
# --==--==--==--==--==--==--==--==--==--==-- #
type 
  selectedOption* = enum
      newNote="New Note", search="Search", shortcuts="Shortcuts", notes="Notes", notebooks="Notesbooks", tags="Tags"


# --==--==--==--==--==--==--==--==--==--==-- #
# TYPE : Data Informations for Left Colomn 
# --==--==--==--==--==--==--==--==--==--==-- #
type ColomnLeftData* = ref object of RootObj
    j_status*: bool
    option*: selectedOption
    j_notes*: joplin_notes
    j_notebooks*: joplin_notebooks
    j_tags*: joplin_tags
    req*: Request

 
 